var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import { AutoComplete, Form, Input, InputNumber, Select } from 'antd';
export var CustomizeFormItemInput = function (props) { return (_jsx(Form.Item, __assign({ name: props.name, label: props.label, rules: props.required || props.max || props.min
        ? [
            {
                required: true,
                message: "\u041F\u043E\u043B\u0435 '".concat(props.label.toLowerCase(), "' \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0434\u043B\u044F \u0437\u0430\u043F\u043E\u043B\u043D\u0435\u043D\u0438\u044F"),
                max: props.max,
                min: props.min,
            },
        ]
        : [{ required: false }] }, { children: _jsx(Input, __assign({}, props.inputProps, { value: props.field.value, placeholder: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430 \u0432\u0432\u0435\u0434\u0438\u0442\u0435 ".concat(props.label.toLowerCase()), onChange: function (e) { return props.field.onChange(e.target.value); } })) }))); };
export var CustomizeFormItemTextArea = function (props) { return (_jsx(Form.Item, __assign({ name: props.name, label: props.label, rules: props.required || props.max || props.min
        ? [
            {
                required: true,
                message: "\u041F\u043E\u043B\u0435 '".concat(props.label.toLowerCase(), "' \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0434\u043B\u044F \u0437\u0430\u043F\u043E\u043B\u043D\u0435\u043D\u0438\u044F"),
                max: props.max,
                min: props.min,
            },
        ]
        : [{ required: false }] }, { children: _jsx(Input.TextArea, { value: props.field.value, onChange: function (e) { return props.field.onChange(e.target.value); }, placeholder: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430 \u0432\u0432\u0435\u0434\u0438\u0442\u0435 ".concat(props.label.toLowerCase()), autoSize: { minRows: props.minRows, maxRows: props.maxRows } }) }))); };
export var CustomizeFormItemSelect = function (props) { return (_jsx(Form.Item, __assign({ name: props.name, label: props.label, rules: props.required
        ? [
            {
                required: true,
                message: "\u041F\u043E\u043B\u0435 '".concat(props.label.toLowerCase(), "' \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0434\u043B\u044F \u0437\u0430\u043F\u043E\u043B\u043D\u0435\u043D\u0438\u044F"),
            },
        ]
        : [{ required: false }] }, { children: _jsx(Select, __assign({ defaultValue: props.defaultValue, onChange: function (_a) {
            var value = _a.value;
            return props.field.onChange(value);
        } }, { children: props.enumsValues.map(function (value, index) { return (_jsx(Select.Option, __assign({ value: value }, { children: value }), index)); }) })) }))); };
export var CustomizeFormItemAutoComplete = function (props) {
    var onSelect = function (data) {
        console.log('onSelect', data);
    };
    return (_jsx(Form.Item, __assign({ name: props.name, label: props.label }, { children: _jsx(AutoComplete, { value: props.field.value, onChange: function (data) { return props.field.onChange(Number(data)); }, options: props.options, onSelect: onSelect, onSearch: props.onSearch, placeholder: "\u041F\u043E\u0436\u0430\u043B\u0443\u0439\u0441\u0442\u0430 \u0432\u0432\u0435\u0434\u0438\u0442\u0435 ".concat(props.label.toLowerCase()) }) })));
};
export var CustomizeFormItemNumberInput = function (props) { return (_jsx(Form.Item, __assign({ name: props.name, label: props.label }, { children: _jsx(InputNumber, { value: props.field.value, onChange: function (value) { return props.field.onChange(value); } }) }))); };
